Cemu - Bug #593

DS4 motion controls not working properly in cemu 1.26.0c
12/26/2021 04:09 PM - luismasp

Status: Closed Start date: 12/26/2021
Priority: Normal

Assignee: Petergov

Category: Input

API: GPU Vendor/Model:

Cemu Version:

Description
Tested with 1.26.0 & 1.26.0.c builds, SDL selected with Dualshock 4 v2. Tested also with/without cemuhook libraries.

The motion controls are not working properly, they are totally crazy, | tested this in two games such as BOTW motion control shrine
(Myahm agana next to hateno village) and also in ZombiU.

| found that also the controls are inverted inside of the "settings" of the input settings, (In the same screen where you activate the
motion control)on this screen, if | move up the left and right sticks, on the "Axis" and "Rotation" boxes, the movement are totally
inverted. | don't know if this can be related or help to see where is the issue, but in any case, | tested also with DS4 Windows and this
is working fine using this program, but not with the integrated SDL on Cemu.

| also cannot see the DS4 connected under "Options->Gamepad motion source" but i think this is normal when using SDL, and it was
only for the DS4Windows purposes.

Specs:

OS: Windows 11 x64 latest
Nvidia GTX 970

i7 4790k

16GB DDR3

Dualshock 4 v2

History

#1 - 12/26/2021 04:14 PM - luismasp

Note: Of course, | deleted all the controller profiles for this version and started from scratch, since this version has a completely new input core.

#2 - 02/12/2022 11:29 AM - luismasp

Solved in 1.26.2 the issue can be closed. Thanks.

#3 - 02/12/2022 12:21 PM - Exzap

- Status changed from New to Closed
